2 ran9nar ran9nar 于 2016.05.06 08:27 提问

pyleus build 时提示 Failed to install dependencies

我打算在centos中使用pyleus build一个topology,需要用到MySQLdb模块,在系统中已经安装了MySQLdb,可以import,而且也在requirements.txt中写了MySQLdb,但是当我用pyleus build的时候提示错误:
pyleus build: error: [VirtualenvError] Failed to install dependencies for this topology. Run with --verbose for detailed info.
求帮助!急

2个回答

ran9nar
ran9nar   2016.05.08 12:08
已采纳

问题已解决,在centos中安装MySQLdb模块,应该用MySQL-python,将requirements.txt中的MySQL改为MySQL-python,问题就能解决。

CSDNXIAOD
CSDNXIAOD   2016.05.06 08:31
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
mac pip安装scrapy 报错:Failed building wheel for Twisted
mac pip安装scrapy 报错:Failed building wheel for Twisted可能解决方案:1.xcode-select --install2.pip install scrapy
Failed to collect dependencies问题
今天处理maven的时候出现Failed to execute goal on project project-name: Could not resolve dependencies for project xxx.xxx.xxx.xx:jar:1.0: Failed to collect dependencies for [xxx.xxx.xxx.xxx:jar:1.0 (compile), ...
centos7安装MySQL报错:error: Failed dependencies:
使用CentOS7安装MySQL时,报了以下的错误:[root@localhost opt]# rpm -ivh MySQL-server-5.5.48-1.linux2.6.i386.rpm warning: MySQL-server-5.5.48-1.linux2.6.i386.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
安装RPM套件rpm-build错误解决:NOKEY、elfutils is needed
安装RPM套件rpm-build错误解决:NOKEY、elfutils is needed --- 这是我在测试Vbird的自制作rpm套件时遇到的问题,当时作好的套件源文件(/usr/src/redhat/SOURCES),和设定文件(/usr/src/redhat/SPECS),准备打包生成rpm文件时,忽然发现系统中没有rpmbuild命令…… [root@localhos
Maven父子项目打包子项目出现Failed to collect dependencies问题
错误如下: Failed to execute goal on project project-name: Could not resolve dependencies for project xxx.xxx.xxx.xx:jar:1.0: Failed to collect dependencies for [xxx.xxx.xxx.xxx:jar:1.0 (compile), ......]
当安装、卸载件包时,出现依赖问题 error: Failed dependencies
error: Failed dependencies:…… 依赖关系非常复杂,当你试图先安装任何一个包时都会出现这样的依赖关系错误,这时候你就应该强制安装了,我认为只要你把服务或软件需要的包都装上,强制安装也不会出问题的,不会有什么影响。 非常简单,只要加上一个--force (强制) 和--nodeps(不查找依赖关系)就可以了 如:rpm -vih httpd-2.2.3-6.el5.i
关于 maven install 过程中报错 Could not resolve dependencies for project
报错信息类似于  Failed to execute goal on project mycollab-config: Could not resolve dependencies for project XXXX  Failed to collect dependencies at XXXX  Failed to read artifact descriptor for XXXX   F
创建android工程时Install Dependencies(安装依赖)提示
现象:在创建android工程时候出现一下情况 Dependencies(安装依赖)提示" name="image_operate_21891348726007194" alt="创建android工程时Install Dependencies(安装依赖)提示" src="http://s2.sinaimg.cn/middle/6ca570edtcaa6d5b18901&690" width="
error: Failed dependencies 安装、卸载时的依赖错误 linux
好多时候在安装软件包时都 会出现依赖关系的错误 如果你知道安装包之间的先后关系自然很好,可是当你不知道的时候就应该强制安装了。 只有全部安装好,强制安装应该也不会应该软件使用的。 加上--force(强制)和--nodeps(不查找依赖关系)即可 安装: rpm -ivh *.rpm --force --nodeps 卸载:rpm -e packagename --nodeps
谷歌拼音 for Linux fcitx
Dependencies: cmake build-essential opencc mercurial To install the dependencies, you can run: sudo apt-get install fcitx-table-wbpy cd fcitx-googlepinyin mkdir build; cd build cmake .. -DCMAKE_INSTALL_PREFIX=/usr make sudo make install